## org.eclipse.emf.ecore.sdo.impl
Class SDOPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecore.sdo.impl.SDOPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, SDOPackage, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SDOPackageImpl

extends EPackageImpl
implements SDOPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.sdo.SDOPackage
`SDOPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.sdo.SDOPackage

`CHANGE_SUMMARY, CHANGE_SUMMARY__CHANGED_DATA_OBJECTS, CHANGE_SUMMARY__DATA_GRAPH, CHANGE_SUMMARY__LOGGING, CHANGE_SUMMARY_FEATURE_COUNT, CHANGE_SUMMARY_SETTING, CHANGE_SUMMARY_SETTING__PROPERTY, CHANGE_SUMMARY_SETTING_FEATURE_COUNT, DATA_GRAPH, DATA_GRAPH__CHANGE_SUMMARY, DATA_GRAPH__ROOT_OBJECT, DATA_GRAPH_FEATURE_COUNT, DATA_OBJECT, DATA_OBJECT_FEATURE_COUNT, ECHANGE_SUMMARY, ECHANGE_SUMMARY__CHANGED_DATA_OBJECTS, ECHANGE_SUMMARY__DATA_GRAPH, ECHANGE_SUMMARY__EDATA_GRAPH, ECHANGE_SUMMARY__LOGGING, ECHANGE_SUMMARY__OBJECT_CHANGES, ECHANGE_SUMMARY__OBJECTS_TO_ATTACH, ECHANGE_SUMMARY__OBJECTS_TO_DETACH, ECHANGE_SUMMARY__RESOURCE_CHANGES, ECHANGE_SUMMARY_FEATURE_COUNT, ECHANGE_SUMMARY_SETTING, ECHANGE_SUMMARY_SETTING__DATA_VALUE, ECHANGE_SUMMARY_SETTING__FEATURE, ECHANGE_SUMMARY_SETTING__FEATURE_NAME, ECHANGE_SUMMARY_SETTING__LIST_CHANGES, ECHANGE_SUMMARY_SETTING__PROPERTY, ECHANGE_SUMMARY_SETTING__REFERENCE_VALUE, ECHANGE_SUMMARY_SETTING__SET, ECHANGE_SUMMARY_SETTING__VALUE, ECHANGE_SUMMARY_SETTING_FEATURE_COUNT, EDATA_GRAPH, EDATA_GRAPH__CHANGE_SUMMARY, EDATA_GRAPH__ECHANGE_SUMMARY, EDATA_GRAPH__EROOT_OBJECT, EDATA_GRAPH__RESOURCE_SET, EDATA_GRAPH__ROOT_OBJECT, EDATA_GRAPH__ROOT_RESOURCE, EDATA_GRAPH_FEATURE_COUNT, EDATA_OBJECT, EDATA_OBJECT_ANY_TYPE, EDATA_OBJECT_ANY_TYPE__ANY, EDATA_OBJECT_ANY_TYPE__ANY_ATTRIBUTE, EDATA_OBJECT_ANY_TYPE__MIXED, EDATA_OBJECT_ANY_TYPE_FEATURE_COUNT, EDATA_OBJECT_FEATURE_COUNT, EDATA_OBJECT_SIMPLE_ANY_TYPE, EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY, EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY_ATTRIBUTE, EDATA_OBJECT_SIMPLE_ANY_TYPE__INSTANCE_TYPE, EDATA_OBJECT_SIMPLE_ANY_TYPE__MIXED, EDATA_OBJECT_SIMPLE_ANY_TYPE__RAW_VALUE, EDATA_OBJECT_SIMPLE_ANY_TYPE__VALUE, EDATA_OBJECT_SIMPLE_ANY_TYPE_FEATURE_COUNT, eINSTANCE, EJAVA_LIST, EJAVA_SERIALIZABLE, EJAVA_SERIALIZABLE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, EOBJECT_STREAM_EXCEPTION, EPROPERTY, EPROPERTY__CONTAINING_TYPE, EPROPERTY__CONTAINMENT, EPROPERTY__DEFAULT, EPROPERTY__ESTRUCTURAL_FEATURE, EPROPERTY__MANY, EPROPERTY__NAME, EPROPERTY__TYPE, EPROPERTY_FEATURE_COUNT, ESEQUENCE, ESEQUENCE_FEATURE_COUNT, ETYPE, ETYPE__ECLASSIFIER, ETYPE__INSTANCE_CLASS, ETYPE__NAME, ETYPE__PROPERTIES, ETYPE__URI, ETYPE_FEATURE_COUNT, INTERNAL_EDATA_OBJECT, INTERNAL_EDATA_OBJECT_FEATURE_COUNT, PROPERTY, PROPERTY__CONTAINING_TYPE, PROPERTY__CONTAINMENT, PROPERTY__DEFAULT, PROPERTY__MANY, PROPERTY__NAME, PROPERTY__TYPE, PROPERTY_FEATURE_COUNT, SEQUENCE, SEQUENCE_FEATURE_COUNT, TYPE, TYPE__INSTANCE_CLASS, TYPE__NAME, TYPE__PROPERTIES, TYPE__URI, TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getChangeSummary_ChangedDataObjects()`
`EReference` `getChangeSummary_DataGraph()`
`EAttribute` `getChangeSummary_Logging()`
`EClass` `getChangeSummary()`
`EReference` `getChangeSummarySetting_Property()`
`EClass` `getChangeSummarySetting()`
`EReference` `getDataGraph_ChangeSummary()`
`EReference` `getDataGraph_RootObject()`
`EClass` `getDataGraph()`
`EClass` `getDataObject()`
`EReference` `getEChangeSummary_EDataGraph()`
`EClass` `getEChangeSummary()`
`EClass` `getEChangeSummarySetting()`
`EReference` `getEDataGraph_EChangeSummary()`
`EReference` `getEDataGraph_ERootObject()`
`EAttribute` `getEDataGraph_ResourceSet()`
`EAttribute` `getEDataGraph_RootResource()`
`EClass` `getEDataGraph()`
`EClass` `getEDataObject()`
`EClass` `getEDataObjectAnyType()`
`EClass` `getEDataObjectSimpleAnyType()`
`EDataType` `getEJavaList()`
`EClass` `getEJavaSerializable()`
`EDataType` `getEObjectStreamException()`
`EReference` `getEProperty_EStructuralFeature()`
`EClass` `getEProperty()`
`EClass` `getESequence()`
`EReference` `getEType_EClassifier()`
`EClass` `getEType()`
`EClass` `getInternalEDataObject()`
`EReference` `getProperty_ContainingType()`
`EAttribute` `getProperty_Containment()`
`EAttribute` `getProperty_Default()`
`EAttribute` `getProperty_Many()`
`EAttribute` `getProperty_Name()`
`EReference` `getProperty_Type()`
`EClass` `getProperty()`
`SDOFactory` `getSDOFactory()`
`EClass` `getSequence()`
`EAttribute` `getType_InstanceClass()`
`EAttribute` `getType_Name()`
`EReference` `getType_Properties()`
`EAttribute` `getType_URI()`
`EClass` `getType()`
`static SDOPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SDOPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SDOPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getEDataObject

    public EClass getEDataObject()

  Specified by:
    `getEDataObject` in interface `SDOPackage`
  Returns:
    the meta object for class 'EData Object'.
  See Also:
    `EDataObject`

### getEDataGraph

    public EClass getEDataGraph()

  Specified by:
    `getEDataGraph` in interface `SDOPackage`
  Returns:
    the meta object for class 'EData Graph'.
  See Also:
    `EDataGraph`

### getEDataGraph_ResourceSet

    public EAttribute getEDataGraph_ResourceSet()

  Specified by:
    `getEDataGraph_ResourceSet` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Resource Set'.
  See Also:
    `EDataGraph.getResourceSet()`, `SDOPackage.getEDataGraph()`

### getEDataGraph_RootResource

    public EAttribute getEDataGraph_RootResource()

  Specified by:
    `getEDataGraph_RootResource` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Root Resource'.
  See Also:
    `EDataGraph.getRootResource()`, `SDOPackage.getEDataGraph()`

### getEDataGraph_EChangeSummary

    public EReference getEDataGraph_EChangeSummary()

  Specified by:
    `getEDataGraph_EChangeSummary` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'EChange Summary'.
  See Also:
    `EDataGraph.getEChangeSummary()`, `SDOPackage.getEDataGraph()`

### getEDataGraph_ERootObject

    public EReference getEDataGraph_ERootObject()

  Specified by:
    `getEDataGraph_ERootObject` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'ERoot Object'.
  See Also:
    `EDataGraph.getERootObject()`, `SDOPackage.getEDataGraph()`

### getEChangeSummary

    public EClass getEChangeSummary()

  Specified by:
    `getEChangeSummary` in interface `SDOPackage`
  Returns:
    the meta object for class 'EChange Summary'.
  See Also:
    `EChangeSummary`

### getEChangeSummary_EDataGraph

    public EReference getEChangeSummary_EDataGraph()

  Specified by:
    `getEChangeSummary_EDataGraph` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'EData Graph'.
  See Also:
    `EChangeSummary.getEDataGraph()`, `SDOPackage.getEChangeSummary()`

### getEProperty

    public EClass getEProperty()

  Specified by:
    `getEProperty` in interface `SDOPackage`
  Returns:
    the meta object for class 'EProperty'.
  See Also:
    `EProperty`

### getEProperty_EStructuralFeature

    public EReference getEProperty_EStructuralFeature()

  Specified by:
    `getEProperty_EStructuralFeature` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'EStructural Feature'.
  See Also:
    `EProperty.getEStructuralFeature()`, `SDOPackage.getEProperty()`

### getDataObject

    public EClass getDataObject()

  Specified by:
    `getDataObject` in interface `SDOPackage`
  Returns:
    the meta object for class 'Data Object'.
  See Also:
    `DataObject`

### getESequence

    public EClass getESequence()

  Specified by:
    `getESequence` in interface `SDOPackage`
  Returns:
    the meta object for class 'ESequence'.
  See Also:
    `ESequence`

### getDataGraph

    public EClass getDataGraph()

  Specified by:
    `getDataGraph` in interface `SDOPackage`
  Returns:
    the meta object for class 'Data Graph'.
  See Also:
    `DataGraph`

### getDataGraph_RootObject

    public EReference getDataGraph_RootObject()

  Specified by:
    `getDataGraph_RootObject` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'Root Object'.
  See Also:
    `DataGraph.getRootObject()`, `SDOPackage.getDataGraph()`

### getDataGraph_ChangeSummary

    public EReference getDataGraph_ChangeSummary()

  Specified by:
    `getDataGraph_ChangeSummary` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'Change Summary'.
  See Also:
    `DataGraph.getChangeSummary()`, `SDOPackage.getDataGraph()`

### getChangeSummary

    public EClass getChangeSummary()

  Specified by:
    `getChangeSummary` in interface `SDOPackage`
  Returns:
    the meta object for class 'Change Summary'.
  See Also:
    `ChangeSummary`

### getChangeSummary_Logging

    public EAttribute getChangeSummary_Logging()

  Specified by:
    `getChangeSummary_Logging` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Logging'.
  See Also:
    `ChangeSummary.isLogging()`, `SDOPackage.getChangeSummary()`

### getChangeSummary_DataGraph

    public EReference getChangeSummary_DataGraph()

  Specified by:
    `getChangeSummary_DataGraph` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'Data Graph'.
  See Also:
    `ChangeSummary.getDataGraph()`, `SDOPackage.getChangeSummary()`

### getChangeSummary_ChangedDataObjects

    public EReference getChangeSummary_ChangedDataObjects()

  Specified by:
    `getChangeSummary_ChangedDataObjects` in interface `SDOPackage`
  Returns:
    the meta object for the reference list 'Changed Data Objects'.
  See Also:
    `ChangeSummary.getChangedDataObjects()`, `SDOPackage.getChangeSummary()`

### getEType

    public EClass getEType()

  Specified by:
    `getEType` in interface `SDOPackage`
  Returns:
    the meta object for class 'EType'.
  See Also:
    `EType`

### getEType_EClassifier

    public EReference getEType_EClassifier()

  Specified by:
    `getEType_EClassifier` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'EClassifier'.
  See Also:
    `EType.getEClassifier()`, `SDOPackage.getEType()`

### getType

    public EClass getType()

  Specified by:
    `getType` in interface `SDOPackage`
  Returns:
    the meta object for class 'Type'.
  See Also:
    `Type`

### getType_Name

    public EAttribute getType_Name()

  Specified by:
    `getType_Name` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Type.getName()`, `SDOPackage.getType()`

### getType_URI

    public EAttribute getType_URI()

  Specified by:
    `getType_URI` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `Type.getURI()`, `SDOPackage.getType()`

### getType_InstanceClass

    public EAttribute getType_InstanceClass()

  Specified by:
    `getType_InstanceClass` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Instance Class'.
  See Also:
    `Type.getInstanceClass()`, `SDOPackage.getType()`

### getType_Properties

    public EReference getType_Properties()

  Specified by:
    `getType_Properties` in interface `SDOPackage`
  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `Type.getProperties()`, `SDOPackage.getType()`

### getProperty

    public EClass getProperty()

  Specified by:
    `getProperty` in interface `SDOPackage`
  Returns:
    the meta object for class 'Property'.
  See Also:
    `Property`

### getProperty_Name

    public EAttribute getProperty_Name()

  Specified by:
    `getProperty_Name` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Property.getName()`, `SDOPackage.getProperty()`

### getProperty_Many

    public EAttribute getProperty_Many()

  Specified by:
    `getProperty_Many` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Many'.
  See Also:
    `Property.isMany()`, `SDOPackage.getProperty()`

### getProperty_Containment

    public EAttribute getProperty_Containment()

  Specified by:
    `getProperty_Containment` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Containment'.
  See Also:
    `Property.isContainment()`, `SDOPackage.getProperty()`

### getProperty_Default

    public EAttribute getProperty_Default()

  Specified by:
    `getProperty_Default` in interface `SDOPackage`
  Returns:
    the meta object for the attribute 'Default'.
  See Also:
    `Property.getDefault()`, `SDOPackage.getProperty()`

### getProperty_Type

    public EReference getProperty_Type()

  Specified by:
    `getProperty_Type` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `Property.getType()`, `SDOPackage.getProperty()`

### getProperty_ContainingType

    public EReference getProperty_ContainingType()

  Specified by:
    `getProperty_ContainingType` in interface `SDOPackage`
  Returns:
    the meta object for the container reference 'Containing Type'.
  See Also:
    `Property.getContainingType()`, `SDOPackage.getProperty()`

### getSequence

    public EClass getSequence()

  Specified by:
    `getSequence` in interface `SDOPackage`
  Returns:
    the meta object for class 'Sequence'.
  See Also:
    `Sequence`

### getEChangeSummarySetting

    public EClass getEChangeSummarySetting()

  Specified by:
    `getEChangeSummarySetting` in interface `SDOPackage`
  Returns:
    the meta object for class 'EChange Summary Setting'.
  See Also:
    `EChangeSummarySetting`

### getInternalEDataObject

    public EClass getInternalEDataObject()

  Specified by:
    `getInternalEDataObject` in interface `SDOPackage`
  Returns:
    the meta object for class 'Internal EData Object'.
  See Also:
    `InternalEDataObject`

### getEDataObjectAnyType

    public EClass getEDataObjectAnyType()

  Specified by:
    `getEDataObjectAnyType` in interface `SDOPackage`
  Returns:
    the meta object for class 'EData Object Any Type'.
  See Also:
    `EDataObjectAnyType`

### getEDataObjectSimpleAnyType

    public EClass getEDataObjectSimpleAnyType()

  Specified by:
    `getEDataObjectSimpleAnyType` in interface `SDOPackage`
  Returns:
    the meta object for class 'EData Object Simple Any Type'.
  See Also:
    `EDataObjectSimpleAnyType`

### getEJavaSerializable

    public EClass getEJavaSerializable()

  Specified by:
    `getEJavaSerializable` in interface `SDOPackage`
  Returns:
    the meta object for class 'EJava Serializable'.
  See Also:
    `Serializable`

### getChangeSummarySetting

    public EClass getChangeSummarySetting()

  Specified by:
    `getChangeSummarySetting` in interface `SDOPackage`
  Returns:
    the meta object for class 'Change Summary Setting'.
  See Also:
    `ChangeSummary.Setting`

### getChangeSummarySetting_Property

    public EReference getChangeSummarySetting_Property()

  Specified by:
    `getChangeSummarySetting_Property` in interface `SDOPackage`
  Returns:
    the meta object for the reference 'Property'.
  See Also:
    `ChangeSummary.Setting.getProperty()`, `SDOPackage.getChangeSummarySetting()`

### getEJavaList

    public EDataType getEJavaList()

  Specified by:
    `getEJavaList` in interface `SDOPackage`
  Returns:
    the meta object for data type 'EJava List'.
  See Also:
    `List`

### getEObjectStreamException

    public EDataType getEObjectStreamException()

  Specified by:
    `getEObjectStreamException` in interface `SDOPackage`
  Returns:
    the meta object for data type 'EObject Stream Exception'.
  See Also:
    `ObjectStreamException`

### getSDOFactory

    public SDOFactory getSDOFactory()

  Specified by:
    `getSDOFactory` in interface `SDOPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.